<html>
<head>
<title>Twitter Like Character Count Validation using jQuery</title>
<style>
body {
	width: 610px;
}

#text-content {
	padding: 10px;
	border: #F0F0F0 1px solid;
	border-radius: 4px;
	background-color: #FFF;
}

#text-content:focus {
	outline: 0;
}

#character-count {
	color: #A0A0A0;
	padding: 15px 0px;
}

#text-content span {
    background: #ffa0a0;
}
</style>
<script src="jquery-3.2.1.min.js" type="text/javascript"></script>
<script>
function count_remaining_character(editable) {
    var max_length = 5;
    var character_entered = $(editable).text().length;
	var character_remaining = max_length - character_entered;

    $('#character-count').html(character_remaining);

	if(max_length < character_entered) 
    {
     	$('#character-count').css('color','#FF0000');
        var inputText = $('#text-content').text();
        var allowedText = inputText.substring(0,max_length);
        var extraText = inputText.substring(max_length); 

       
        if(editable.childElementCount > 0) {
        	   var innerText = $("#text-content div").last().text();
            if(innerText.length >0) {
                var lastIndex = innerText.lastIndexOf(extraText);
                if(lastIndex >= 0) {
                    var allowedText = innerText.substring(0,lastIndex); 
                    $("#text-content div").last().html(allowedText+"<span>"+extraText+"</span>");
                }
            }
        } else {
            $(editable).html(allowedText+"<span>"+extraText+"</span>");
        }
    	   placeCaretAtEnd(editable);
    } 
    else 
    {
	   $('#character-count').css('color','#A0A0A0');
	}
}

function placeCaretAtEnd(el) {
    el.focus();
    var range = document.createRange();
    range.selectNodeContents(el);
    range.collapse(false);
    var sel = window.getSelection();
    sel.removeAllRanges();
    sel.addRange(range);
}
</script>
</head>
</body>
<div contentEditable="true" id="text-content" cols="80" rows="4"
    onKeyup="count_remaining_character(this)"></div>
<div id="character-count" align="right">5</div>
</html>